Name:           python-autoprop
Version:        4.1.0
Release:    1%{?dist}
Summary:        Infer properties from accessor methods

License:        MIT
URL:            https://github.com/kalekundert/autoprop
Source0:         %{pypi_source autoprop}

BuildArch:      noarch

BuildRequires:  python3-devel

%global common_description %{expand:
This package provides a library for automatically filling in classes with
properties (e.g. obj.x) corresponding to each accessor method (e.g.
obj.get_x(), obj.set_x()). The biggest reasons to use autoprop are:

  • Less boilerplate than defining properties manually.
  • Sophisticated support for cached properties.}

%description %{common_description}


%package -n python3-autoprop
Summary:        %{summary}

%description -n python3-autoprop %{common_description}


%prep
%autosetup -n autoprop-%{version}

sed -r -i '/\b(pytest-cov|coveralls)\b/d' pyproject.toml

find . -type f -name '*.py' -exec \
    gawk '/^#!/ { print FILENAME }; { nextfile }' '{}' '+' |
  xargs -r -t sed -r -i '1{/^#!/d}'


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files autoprop


%check
%pytest tests


%files -n python3-autoprop -f %{pyproject_files}
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.rst


%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.0-1
- initial build
